<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_aktifitas}">
<head>
    <meta charset="UTF-8">
    <title>Absen Temporer</title>
</head>
<body>
<div layout:fragment="aktifitas" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Absen Temporer List</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <div class="input-group input-group-sm" style="width: 150px;">
                        </div>
                    </div>


                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered">
                <tr>
                    <th style="width: 10px">#</th>
                    <th>Jenis Kegiatan</th>
                    <th>Gender</th>
                    <th>Tanggal</th>
                    <th>Jam Mulai</th>
                    <th>Berita Acara</th>
                    <th>Absen Mahasiswa</th>
                </tr>

                <tr th:each="x,i : ${listKegiatanTemporer.content}">
                    <td th:text="${(listKegiatanTemporer.number * listKegiatanTemporer.size) + i.count}">1</td>
                    <td th:text="${x.kegiatan.namaKegiatan}">Kegiatan 1</td>
                    <td th:text="${x.jenisKelamin}">Laki - laki</td>
                    <td th:text="${#temporals.format(x.tanggalKegiatan,'dd-MMM-yyyy')}">31-Des-2019</td>
                    <td th:text="${#dates.format(x.jamMulai, ' HH:mm')}">09:00</td>
                    <td>
                        <a class="btn btn-success btn-xs" th:href="@{/aktifitas/absensi_temporer/berita_acara/new(detail=${x.id})}">Proses</a>
                    </td>
                    <td>
                        <span th:if="${x.pembina} == null">-</span>
                        <span th:if="${x.pembina} != null">
                            <a class="btn btn-primary btn-xs"
                               th:each="p,i : ${x.pembina}" th:text="${p.namaKaryawan}"
                               th:href="@{/aktifitas/absensi_temporer/absensi_mahasiswa(detail=${x.id}, pembina=${p.id})}">Process</a>
                        </span>
                    </td>
                </tr>
                <tr th:if="${#lists.isEmpty(listKegiatanTemporer.content)}">
                    <td colspan="7" class="text-center"> Data Not Found</td>
                </tr>
            </table>
        </div>
        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>
<div layout:fragment="enableJavascript">
    <script>
        document.getElementById("disableBtn").disabled = true;
    </script>
</div>
</body>
</html>